<script>
export default {
  data() {
    return {
      detailUrl: '',
    }
  },
  mounted() {
    this.getCouponDetail()
  },
  methods: {
    async getCouponDetail() {
      const { code, data } = await this.$elBusHttp.request(
        `${this.detailUrl}/${this.$route.params.id}`
      )
      if (code === 0) {
        if (this.$refs.form) {
          this.$refs.form.updateForm(data)
        }
      }
    },
    goBack() {
      this.$router.back()
    },
  },
}
</script>
